### org.jfree.layouting.layouter.style.resolver.computed.border

# Class BackgroundOriginResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler`
    - - `org.jfree.layouting.layouter.style.resolver.computed.border.BackgroundOriginResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class BackgroundOriginResolveHandler`
`extends ListOfConstantsResolveHandler`

Creation-Date: 11.12.2005, 23:46:01

Author:
  Thomas Morgner

  ## Constructor Summary

  `BackgroundOriginResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `protected boolean`

  `resolveItem(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index, CSSConstant item)`

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler

  `resolve`, `resolveInvalidItem`, `resolveItem`

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

  `addNormalizeValue`, `addValue`, `getFallback`, `getRequiredStyles`, `lookupValue`, `resolve`, `resolveValue`, `setFallback`

## Constructor Details

### BackgroundOriginResolveHandler

    public BackgroundOriginResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Overrides:
>   getRequiredStyles in interface ConstantsResolveHandler
> Returns:

### resolveItem

    protected boolean resolveItem(LayoutProcess process,
                                  LayoutElement currentNode,
                                  StyleKey key,
                                  int index,
                                  CSSConstant item)

> Overrides:
>   resolveItem in interface ListOfConstantsResolveHandler